use std::io;
use std::io::Write;
use std::net::{SocketAddr, TcpStream};
use std::thread::sleep;
use std::time::Duration;

use messages::client_registration::ClientRegistration;
use messages::serialization::SerializeMessage;

fn main() -> io::Result<()> {
    let addr = SocketAddr::from(([127, 0, 0, 1], 4433));
    let mut stream = TcpStream::connect(addr)?;

    let registration = ClientRegistration {
        major_version: 0,
        minor_version: 0,
        name: "My new client :)".to_string(),
    };

    let buf = registration.serialize();

    stream.write(&buf)?;
    stream.flush().unwrap();

    sleep(Duration::from_secs(2));

    stream.write(&buf)?;
    stream.flush().unwrap();

    sleep(Duration::from_secs(2));

    stream.write(&buf)?;

    Ok(())
}
