use std::fmt::{Display, Formatter};
use crate::input::events::{KvmButtonState, KvmEvent, KvmEventTrait};

pub struct KvmKeyboardEvent {
    pub key_code: u32,
    pub state: KvmButtonState,
}

impl KvmEventTrait for KvmKeyboardEvent {
    fn into_kvm_event(self) -> KvmEvent {
        KvmEvent::Keyboard(self)
    }
}

impl Display for KvmKeyboardEvent {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        match self.state {
            KvmButtonState::Pressed => write!(f, "Press {}", self.key_code),
            KvmButtonState::Released => write!(f, "Press {}", self.key_code)
        }
    }
}
